
enum DocumentType { 
  W4_FORM 
  I9_FORM 
  STATE_TAX_FORM 
  DIRECT_DEPOSIT 
  ID_COPY 
  SSN_CARD 
  WORK_PERMIT 
} 

type Document @table(name: "documents") {
  id: UUID! @default(expr: "uuidV4()")
  name: String!
  description: String
  documentType: DocumentType! 
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
